Prev |  | Next

# FcStrCmpIgnoreCase

## Name

FcStrCmpIgnoreCase -- compare UTF-8 strings ignoring ASCII case

## Synopsis

    #include <fontconfig.h>

``int FcStrCmpIgnoreCase`(const FcChar8 *s1, const FcChar8 *s2);`

## Description

Returns the usual <0, 0, >0 result of comparing `s1` and `s2`. This test is case-insensitive in the ASCII range and will operate properly with UTF8 encoded strings, although it does not check for well formed strings.

## Version

Fontconfig version 2.3.2

Prev | Home | Next
FcStrCopyFilename | Up | FcStrStr